<!DOCTYPE html>
<html layout:decorate="~{layout}">
<head>
<meta charset="UTF-8" />
</head>
<body>
	<section class="layout-content" layout:fragment="corpo">

		<nav class="navbar navbar-expand-md bg-light">
			<div class="collapse navbar-collapse" id="navbarsExampleDefault">
				<ul class="navbar-nav mr-auto">
					<li class="nav-item active"><i class="oi oi-caret-right"></i>
						<span>Cadastrar Empresa</span></li>
				</ul>
			</div>
		</nav>

		<div class="container" id="cadastro">

			<div th:replace="fragments/alert"></div>

			<form
				th:action="${empresa.id == null} ? @{/empresa/salvar} : @{/empresa/editar}"
				th:object="${empresa}" method="POST">

				<div th:replace="fragments/validacao  :: validacao"></div>

				<div class="form-group col-md-6">
					<label for="nome">CNPJ</label> <input type="text"
						class="form-control" id="nome" placeholder="00.000.000/0000-00"
						data-mask="##.###.###/####-##00.000.000/0000-00" maxlength="18"
						autofocus="autofocus" th:field="*{cnpj}" />
				</div>
				<div class="form-row">
					<div class="form-group col-md-4">
						<label for="nome">Razão social</label> <input type="text"
							class="form-control" id="nome" placeholder="Nome"
							th:field="*{name}" />
					</div>

					<div class="form-group col-md-4">
						<label for="bairros">Bairro - Cidade /Uf</label> <select id="cidade"
							class="form-control" th:field="*{bairro}">
							<option value=""></option>
							<option th:each="b : ${bairros}" th:value="${b.id}"
								th:text="${b.nome} + ' - ' +${b.cidade.nome} + '/'+ ${b.uf.uf}"></option>
						</select>
					</div>

					<div class="form-group col-md-6">
						<label for="logradouro">Logradouro</label> <input type="text"
							class="form-control" id="nome"
							placeholder=" Rua x , numero 11111" th:field="*{logradouro}" />
					</div>

					<div class="form-group col-md-2">
						<label for="cep">C.E.P.</label> <input type="text"
							class="form-control" id="nome" data-mask="#####-###00000-000"
							placeholder="" th:field="*{cep}" />
					</div>

				</div>
				<input type="hidden" id="id" th:field="*{id}" />
				<button type="submit" class="btn btn-primary btn-sm">Salvar</button>
			</form>
		</div>
	</section>
</body>
</html>

